﻿## History of changes for WinPython 3.3.5.2



The following changes were made to WinPython distribution since version 3.3.5.1.



### Python packages



New packages:



  * [PyYAML](http://pypi.python.org/pypi/PyYAML) 3.11 (YAML parser and emitter for Python)

  * [XlsxWriter](http://pypi.python.org/pypi/XlsxWriter) 0.5.9 (A Python module for creating Excel XLSX files.)

  * [beautifulsoup4](http://pypi.python.org/pypi/beautifulsoup4) 4.3.2 (Screen-scraping library)

  * [decorator](http://pypi.python.org/pypi/decorator) 3.4.0 (Better living through Python with decorators)

  * [husl](http://pypi.python.org/pypi/husl) 4.0.0 (Human-friendly HSL (Hue-Saturation-Lightness))

  * [llvmpy](http://pypi.python.org/pypi/llvmpy) 0.12.7 (Python bindings for LLVM)

  * [lmfit](http://pypi.python.org/pypi/lmfit) 0.8.0 (Least-Squares Minimization with Bounds and Constraints)

  * [lxml](http://pypi.python.org/pypi/lxml) 3.4.0 (Powerful and Pythonic XML processing library combining libxml2/libxslt with the ElementTree API.)

  * [nltk](http://pypi.python.org/pypi/nltk) 3.0.0 (The Natural Language Toolkit (NLTK) is a Python package for natural language processing.)

  * [numba](http://pypi.python.org/pypi/numba) 0.15.1 (compiling Python code using LLVM)

  * [prettytable](http://pypi.python.org/pypi/prettytable) 0.7.2 (A simple Python library for easily displaying tabular data in a visually appealing ASCII table format.)

  * [requests](http://pypi.python.org/pypi/requests) 2.4.3 (Requests is an Apache2 Licensed HTTP library, written in Python, for human beings.)

  * [scilab2py](http://pypi.python.org/pypi/scilab2py) 0.5 (Python to Scilab bridge)

  * [singledispatch](http://pypi.python.org/pypi/singledispatch) 3.4.0.3 ()

  * [sqlparse](http://pypi.python.org/pypi/sqlparse) 0.1.13 (Non-validating SQL parser)

  * [wheel](http://pypi.python.org/pypi/wheel) 0.24.0 (A built-package format for Python.)



Upgraded packages:



  * [Cython](http://www.cython.org) 0.20.2 → 0.21.1 (Cython is a language that makes writing C extensions for the Python language as easy as Python)

  * [Pillow](http://pypi.python.org/pypi/Pillow) 2.5.2 → 2.6.1 (Python Imaging Library (fork))

  * [SQLAlchemy](http://www.sqlalchemy.org) 0.9.7 → 0.9.8 (SQL Toolkit and Object Relational Mapper)

  * [Sphinx](http://sphinx.pocoo.org) 1.2.2 → 1.2.3 (Tool for generating documentation which uses reStructuredText as its markup language)

  * [astroid](http://pypi.python.org/pypi/astroid) 1.2.0 → 1.2.1 (Rebuild a new abstract syntax tree from Python's ast (required for pylint))

  * [brewer2mpl](http://pypi.python.org/pypi/brewer2mpl) 1.4 → 1.4.1 (Connect colorbrewer2.org color maps to Python and matplotlib)

  * [colorama](http://pypi.python.org/pypi/colorama) 0.3.1 → 0.3.2 (Cross-platform colored terminal text)

  * [ipython](http://ipython.org) 2.2.0 → 2.3.0 (Enhanced Python shell)

  * [ipython-sql](http://ipython.org) 0.3.3 → 0.3.4 (Enhanced Python shell)

  * [joblib](http://pypi.python.org/pypi/joblib) 0.8.2 → 0.8.3_r1 (Lightweight pipelining: using Python functions as pipeline jobs.)

  * [julia](http://sourceforge.net/projects/stonebig.u/files/packages) 0.1.1.2 → 0.1.1.4 (Python interface to the Julia language)

  * [logilab-common](http://pypi.python.org/pypi/logilab-common) 0.61.0 → 0.62.1 (Collection of low-level Python packages and modules used by Logilab projects (required for pylint))

  * [matplotlib](http://matplotlib.sourceforge.net) 1.3.1 → 1.4.1 (2D plotting library (embeddable in GUIs created with PyQt))

  * [mysql-connector-python](http://pypi.python.org/pypi/mysql-connector-python) 1.2.2 → 1.2.3 (MySQL driver written in Python)

  * [networkx](http://pypi.python.org/pypi/networkx) 1.9 → 1.9.1 (Python package for creating and manipulating graphs and networks)

  * [nose](http://somethingaboutorange.com/mrl/projects/nose) 1.3.3 → 1.3.4 (nose is a discovery-based unittest extension (e.g. NumPy test module is using nose))

  * [pandas](http://pypi.python.org/pypi/pandas) 0.14.1 → 0.15.0 (Powerful data structures for data analysis, time series and statistics)

  * [pg8000](http://pypi.python.org/pypi/pg8000) 1.9.14 → 1.10.1 (PostgreSQL interface library)

  * [pylint](http://www.logilab.org/project/pylint) 1.3.0 → 1.3.1 (Logilab code analysis module: analyzes Python source code looking for bugs and signs of poor quality)

  * [pyparsing](http://pyparsing.wikispaces.com/) 2.0.2 → 2.0.3 (A Python Parsing Module)

  * [pytz](http://pytz.sourceforge.net/) 2014.4 → 2014.7 (World Timezone Definitions for Python)

  * [rpy2](http://pypi.python.org/pypi/rpy2) 2.4.3 → 2.4.4 (Python interface to the R language (embedded R))

  * [scikit-learn](http://pypi.python.org/pypi/scikit-learn) 0.15.1 → 0.15.2 (A set of Python modules for machine learning and data mining)

  * [seaborn](http://pypi.python.org/pypi/seaborn) 0.3.1 → 0.4.0 (statistical data visualization)

  * [setuptools](http://pypi.python.org/pypi/setuptools) 5.4.2 → 5.8 (Download, build, install, upgrade, and uninstall Python packages - easily)

  * [simplejson](http://pypi.python.org/pypi/simplejson) 3.6.2 → 3.6.4 (Simple, fast, extensible JSON (JavaScript Object Notation) encoder/decoder)

  * [six](http://pypi.python.org/pypi/six) 1.7.2 → 1.8.0 (Python 2 and 3 compatibility utilities)

  * [spyder](https://bitbucket.org/spyder-ide/spyderlib) 2.3.0 → 2.3.1 (Scientific PYthon Development EnviRonment: designed for interactive computing and data visualisation with a simple and intuitive user interface)

  * [sqlite_bro](https://github.com/stonebig/sqlite_bro) 0.8.6 → 0.8.7.4 (a graphic SQLite Client in 1 Python file)

  * [statsmodels](http://pypi.python.org/pypi/statsmodels) 0.5.0 → 0.6.0-rc1 (Statistical computations and models for use with SciPy)

  * [tornado](http://pypi.python.org/pypi/tornado) 4.0.1 → 4.0.2 (Scalable, non-blocking web server and tools (required for IPython notebook))



Removed packages:



  * [PyQtdoc](http://pypi.python.org/pypi/PyQtdoc) 4.8.4 (PyQtdoc installs Qt documentation for PyQt4)

  * [Scidoc](http://pypi.python.org/pypi/Scidoc) 1.8.0 (Scidoc installs scientific libraries documentation (NumPy, SciPy, ...))



* * *

